Date/Time Functions
Command Line Specific Extensions
Date/Time Functions
PHP Manual

# timezone_transitions_get

(PHP 5 >= 5.2.0)

timezone_transitions_get — Returns all transitions for the timezone

### Description

array timezone_transitions_get ( DateTimeZone `$object` )
array DateTimeZone::getTransitions ( void )

### Parameters

`object`

  DateTimeZone object.

### Return Values

Returns numerically indexed array containing associative array with all transitions on success or `FALSE` on failure.

### Examples

Example #1 A timezone_transitions_get() example

`<?php
$timezone = new DateTimeZone("CET");
print_r(reset($timezone->getTransitions()));
?>`

The above example will output something similar to:

    Array
    (
        [ts] => -1693706400
        [time] => 1916-04-30T22:00:00+0000
        [offset] => 7200
        [isdst] => 1
        [abbr] => CEST
    )

Date/Time Functions
Command Line Specific Extensions
Date/Time Functions
PHP Manual